> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangopay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel a Deposit Preauthorization

This endpoint allows you to cancel a deposit preauthorization (with `PaymentType` of `CARD` or `PAYPAL`) if it is no longer needed, by setting the `PaymentStatus` to `CANCEL`. A canceled deposit preauthorization can't be subsequently captured.

### Path parameters

<ParamField path="DepositId" type="string" required>
  The unique identifier of the deposit preauthorization.
</ParamField>

### Body parameters

<ParamField body="PaymentStatus" type="string" required>
  **Allowed values:** `CANCELED`,`NO_SHOW_REQUESTED`

  The payment status of the deposit preauthorization object:

  * `WAITING` – The deposit preauthorization can be used: the preauthorized funds can be captured (if `Status` is `SUCCEEDED`) or the preauthorization can be canceled manually.
  * `CANCELED` – Value to pass to manually cancel the deposit preauthorization before use; indicates that the deposit preauthorization was canceled manually.
  * `CANCEL_REQUESTED` – The cancellation of the deposit preauthorization has been requested but not yet processed.
  * `EXPIRED` – The hold period on the preauthorized funds has ended without it being used.
  * `VALIDATED` – Indicates that the preauthorized funds were captured.
  * `FAILED` – The pay-in against the preauthorization has failed, but a retry may be possible.
</ParamField>

### Responses

<AccordionGroup>
  <Accordion title="200">
    <ResponseField name="Id" type="string">
      Max. length: 255 characters
    </ResponseField>

    <ResponseField name="CreationDate" type="Unix timestamp">
      The date and time at which the object was created.
    </ResponseField>

    <ResponseField name="ExpirationDate" type="Unix timestamp">
      The date and time at which the hold period ends and the preauthorized funds are released.\
      At the expiration date, the deposit preauthorization’s `PaymentStatus` changes to `EXPIRED` if no captures were made.
    </ResponseField>

    <ResponseField name="AuthorId" type="string">
      The unique identifier of the user at the source of the transaction.
    </ResponseField>

    <ResponseField name="DebitedFunds" type="object">
      Information about the preauthorized funds.

      <Expandable title="properties">
        <ResponseField name="Currency" type="string">
          **Returned values:** The three-letter <a href="/api-reference/overview/data-formats" target="_blank">ISO 4217 code</a> (EUR, GBP, etc.) of a <a href="/guides/currencies" target="_blank">supported currency</a> (depends on feature, contract, and activation settings).

          The currency of the preauthorized funds.
        </ResponseField>

        <ResponseField name="Amount" type="integer">
          An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`).
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="Status" type="string">
      **Returned values:** `CREATED`, `SUCCEEDED`, `FAILED`

      The status of the authorization.
    </ResponseField>

    <ResponseField name="PaymentStatus" type="string">
      **Returned values:** `WAITING`, `CANCELED`, `CANCEL_REQUESTED`, `EXPIRED`, `VALIDATED`, `FAILED`

      The payment status of the deposit preauthorization object:

      * `WAITING` – The deposit preauthorization can be used: the preauthorized funds can be captured (if `Status` is `SUCCEEDED`) or the preauthorization can be canceled manually.
      * `CANCELED` – Value to pass to manually cancel the deposit preauthorization before use; indicates that the deposit preauthorization was canceled manually.
      * `CANCEL_REQUESTED` – The cancellation of the deposit preauthorization has been requested but not yet processed.
      * `EXPIRED` – The hold period on the preauthorized funds has ended without it being used.
      * `VALIDATED` – Indicates that the preauthorized funds were captured.
      * `FAILED` – The pay-in against the preauthorization has failed, but a retry may be possible.
    </ResponseField>

    <ResponseField name="PayinsLinked" type="object">
      Information about the deposit preauthorized pay-ins made against the deposit preauthorization.

      <Expandable>
        <ResponseField name="PayinCaptureId" type="string">
          The unique identifier of the preauthorized pay-in (capture) made against the deposit preauthorization to debit the preauthorized funds.
        </ResponseField>

        <ResponseField name="PayinComplementId" type="string" deprecated>
          This deprecated parameter is always returned `null`.
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="ResultCode" type="string">
      The code indicating the result of the operation. This information is mostly used to <a href="/errors/codes">handle errors</a> or for filtering purposes.
    </ResponseField>

    <ResponseField name="ResultMessage" type="string">
      The explanation of the result code.
    </ResponseField>

    <ResponseField name="CardId" type="string">
      The unique identifier of the Card object, obtained during the card registration process.
    </ResponseField>

    <ResponseField name="PreferredCardNetwork" type="string">
      **Returned values:** `VISA`, `MASTERCARD`, `CB`, `MAESTRO`

      The card network to use, as chosen by the cardholder, in case of <a href="/guides/payment-methods/card/co-branded">co-branded cards</a>.
    </ResponseField>

    <ResponseField name="SecureModeReturnURL" type="string">
      Max. length: 255 characters

      The URL to which users are automatically returned after 3DS2 if it is triggered (i.e., if the `SecureModeNeeded` parameter is set to `true`).
    </ResponseField>

    <ResponseField name="SecureModeRedirectURL" type="string">
      Max. length: 255 characters

      The URL to which to redirect the user to proceed to 3DS2 validation.
    </ResponseField>

    <ResponseField name="SecureModeNeeded" type="boolean">
      Whether or not the `SecureMode` was used.
    </ResponseField>

    <ResponseField name="PaymentType" type="string">
      **Returned values:** `CARD`, `DIRECT_DEBIT`, `PREAUTHORIZED`, `BANK_WIRE`

      The type of pay-in.
    </ResponseField>

    <ResponseField name="ExecutionType" type="string">
      **Returned values:** `WEB`, `DIRECT`, `EXTERNAL_INSTRUCTION`

      The type of execution for the pay-in.
    </ResponseField>

    <ResponseField name="StatementDescriptor" type="string">
      Max. length: 10 characters; only alphanumeric and spaces

      Custom description to appear on the user’s bank statement along with the platform name. Different banks may show more or less information. See the <a href="/bank-statements">Customizing bank statement references</a> article for details.
    </ResponseField>

    <ResponseField name="Culture" type="string">
      **Returned values:** One of the supported languages in the <a href="/api-reference/overview/data-formats">ISO 639-1 format</a>: DE, EN, ES, FR, IT, NL, PL, PT.

      The language in which the payment page is to be displayed.
    </ResponseField>

    <ResponseField name="BrowserInfo" type="object">
      Information about the browser used by the end user (author) to perform the payment.

      <Expandable title="properties">
        <ResponseField name="AcceptHeader" type="string">
          The exact content of the HTTP accept headers as sent to the platform from the end user’s browser.
        </ResponseField>

        <ResponseField name="JavaEnabled" type="boolean">
          Whether or not the end user’s browser has the ability to execute Java.
        </ResponseField>

        <ResponseField name="Language" type="string">
          Format: Two-letter language code (ISO 639-1 alpha-2) followed by two-letter country code (ISO 3166-1 alpha-2), separated by a hyphen (example: `en-US`; pattern:`^[a-zA-Z]{2}(-[a-zA-Z]{2})?$`)

          The language of the browser.
        </ResponseField>

        <ResponseField name="ColorDepth" type="integer">
          The value representing the depth of the screen’s color palette for displaying images, in bits per pixel.
        </ResponseField>

        <ResponseField name="ScreenHeight" type="integer">
          Max. length: 6 characters

          The height of the screen in pixels.
        </ResponseField>

        <ResponseField name="ScreenWidth" type="integer">
          Max. length: 6 characters

          The width of the screen in pixels.
        </ResponseField>

        <ResponseField name="TimeZoneOffset" type="integer">
          The difference in minutes between the browser’s timezone and UTC.
        </ResponseField>

        <ResponseField name="UserAgent" type="string">
          Max. length: 255 characters

          The exact content of the HTTP User-Agent header.
        </ResponseField>

        <ResponseField name="JavascriptEnabled" type="boolean">
          Whether or not the end user’s browser has the ability to execute JavaScript.
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="IpAddress" type="string">
      The IP address of the end user initiating the transaction, in IPV4 or IPV6 format.
    </ResponseField>

    <ResponseField name="Billing" type="object">
      **Default value:** FirstName, LastName, and Address information of the Shipping object if any, otherwise the user (author).

      Information about the end user billing address. If left empty, the default values will be automatically taken into account.

      <Expandable title="properties">
        <ResponseField name="FirstName" type="string">
          The first name of the user.
        </ResponseField>

        <ResponseField name="LastName" type="string">
          Max. length: 100 characters

          The last name of the user.
        </ResponseField>

        <ResponseField name="Address" type="object">
          Information about the billing address.

          <Expandable title="properties">
            <ResponseField name="AddressLine1" type="string">
              Max. length: 255 characters

              The first line of the address.
            </ResponseField>

            <ResponseField name="AddressLine2" type="string">
              Max. length: 255 characters

              The second line of the address.
            </ResponseField>

            <ResponseField name="City" type="string">
              Max. length: 255 characters

              The city of the address.
            </ResponseField>

            <ResponseField name="Region" type="string">
              Max. length: 255 characters

              The region of the address. This field is optional except if the `Country` is US, CA, or MX.
            </ResponseField>

            <ResponseField name="PostalCode" type="string">
              Max. length: 255 characters

              The postal code of the address. The postal code can contain the following characters: alphanumeric, dashes, and spaces.
            </ResponseField>

            <ResponseField name="Country" type="string">
              Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats))

              The country of the address.
            </ResponseField>
          </Expandable>
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="Shipping" type="object">
      **Default value:** FirstName, LastName, and Address information of the Billing object, if supplied, otherwise of the user (author).

      Information about the end user’s shipping address. If left empty, the default values will be automatically taken into account.

      <Expandable title="properties">
        <ResponseField name="FirstName" type="string">
          The first name of the user.
        </ResponseField>

        <ResponseField name="LastName" type="string">
          Max. length: 100 characters

          The last name of the user.
        </ResponseField>

        <ResponseField name="Address" type="object">
          Information about the shipping address.

          <Expandable title="properties">
            <ResponseField name="AddressLine1" type="string">
              Max. length: 255 characters

              The first line of the address.
            </ResponseField>

            <ResponseField name="AddressLine2" type="string">
              Max. length: 255 characters

              The second line of the address.
            </ResponseField>

            <ResponseField name="City" type="string">
              Max. length: 255 characters

              The city of the address.
            </ResponseField>

            <ResponseField name="Region" type="string">
              Max. length: 255 characters

              The region of the address. This field is optional except if the `Country` is US, CA, or MX.
            </ResponseField>

            <ResponseField name="PostalCode" type="string">
              Max. length: 255 characters

              The postal code of the address. The postal code can contain the following characters: alphanumeric, dashes, and spaces.
            </ResponseField>

            <ResponseField name="Country" type="string">
              Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats))

              The country of the address.
            </ResponseField>
          </Expandable>
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="Requested3DSVersion" type="string">
      **Returned values:** `V1`, `V2_1`

      The 3DS protocol version to be applied to the transaction.
    </ResponseField>

    <ResponseField name="Applied3DSVersion" type="string | null">
      **Returned values:** `V1`, `V2_1`

      The 3DS protocol version applied to the transaction.
    </ResponseField>

    <ResponseField name="Tag" type="string">
      Max. length: 255 characters

      Custom data that you can add to this object.\
      For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
    </ResponseField>

    <ResponseField name="CardInfo" type="string">
      Information about the card used for the transaction.

      If the information or data is not available, `null` is returned.

      <Expandable title="properties">
        <ResponseField name="BIN" type="string">
          The 6-digit bank identification number (BIN) of the card issuer.
        </ResponseField>

        <ResponseField name="IssuingBank" type="string">
          The name of the card issuer.
        </ResponseField>

        <ResponseField name="IssuerCountryCode" type="string">
          Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats))

          The country where the card was issued.
        </ResponseField>

        <ResponseField name="Type" type="string">
          **Returned values:** `DEBIT`, `CREDIT`, `CHARGE CARD`.

          The type of card product.
        </ResponseField>

        <ResponseField name="Brand" type="string">
          The card brand. Examples include: `AMERICAN EXPRESS`, `DISCOVER`, `JCB`, `MASTERCARD`, `VISA`, etc.

          **Note:** The possible returned values are numerous and liable to evolve over time.
        </ResponseField>

        <ResponseField name="SubType" type="string">
          The subtype of the card product. Examples include: `CLASSIC`, `GOLD`, `PLATINUM`, `PREPAID`, etc.

          **Note:** The possible returned values are numerous and liable to evolve over time.
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="AuthenticationResult" type="object | null" defaultOpen>
      Information about the authentication result, based on the request made by Mangopay and the decision of the issuer regarding the type of authentication to be enforced (if applicable).

      <Expandable title="properties">
        <ResponseField name="AuthenticationType" type="string | null">
          Response values: `CHALLENGE`, `FRICTIONLESS`, `DIRECT_AUTHORIZATION`

          The type of authentication:

          * `CHALLENGE` – The issuer requested SCA to be enforced (for example, using 3DS).
          * `FRICTIONLESS` – The transaction was exempted from SCA because an exemption was granted by the issuer.
          * `DIRECT_AUTHORIZATION` – The transaction was sent to the issuer for authorization without any frictionless or challenge (for example, if SCA doesn't apply).

          A `null` value typically indicates that authentication was not requested (for example, because the request failed before being sent) or a decision was not received.
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Accordion>
</AccordionGroup>

<AccordionGroup>
  <Accordion title="400 - Cancel not possible before authorization">
    ```json theme={null}
    {
        "Message": "The Status of the Deposit does not allow for it to be edited",
        "Type": "invalid_action",
        "Id": "29d2bb7c-e851-418a-99cf-2f2ce251df2e",
        "Date": 1771585452.0,
        "errors": {}
    }
    ```
  </Accordion>

  <Accordion title="400 - Cancel not possible after capture">
    ```json theme={null}
    {
        "Message": "The capture has a success status.",
        "Type": "invalid_action",
        "Id": "7a53218a-aa7f-41bc-bddf-bcd0354cb3f4",
        "Date": 1768553839.0,
        "errors": {}
    }
    ```
  </Accordion>
</AccordionGroup>

<ResponseExample>
  ```json 200   theme={null}
  {
      "Id": "deposit_wt_41716dcf-c0aa-42fe-8efb-5f82b812040b",
      "CreationDate": 1771585449,
      "ExpirationDate": 1774177460,
      "AuthorizationDate": null,
      "AuthorId": "user_m_01KHXAHEBRWSZXJY85TPPR56TK",
      "DebitedFunds": {
          "Currency": "EUR",
          "Amount": 20000
      },
      "Status": "SUCCEEDED",
      "PaymentStatus": "CANCELED",
      "PayinsLinked": {
          "PayinCaptureId": null,
          "PayinComplementId": null
      },
      "ResultCode": "000000",
      "ResultMessage": "Success",
      "CardId": "card_wt_HodULFWKVRMEecCa",
      "PreferredCardNetwork": null,
      "SecureModeReturnURL": "http://example.com?depositId=deposit_wt_41716dcf-c0aa-42fe-8efb-5f82b812040b",
      "SecureModeRedirectURL": null,
      "SecureModeNeeded": false,
      "PaymentType": "CARD",
      "ExecutionType": "DIRECT",
      "StatementDescriptor": null,
      "Culture": "EN",
      "BrowserInfo": {
          "AcceptHeader": "text/html, application/xhtml+xml, application/xml;q=0.9, /;q=0.8",
          "JavaEnabled": true,
          "Language": "FR-FR",
          "ColorDepth": 4,
          "ScreenHeight": 1800,
          "ScreenWidth": 400,
          "TimeZoneOffset": 60,
          "UserAgent": "Mozilla/5.0 (iPhone; CPU iPhone OS 13_6_1 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Mobile/15E148",
          "JavascriptEnabled": true
      },
      "IpAddress": "050d:ad6a:e5ab:cdf1:f0f5:2f47:a59d:cac7",
      "Billing": {
          "FirstName": "Jonatan",
          "LastName": "Renner",
          "Address": {
              "AddressLine1": "16544 Jalon Expressway",
              "AddressLine2": "Pacocha Road",
              "City": "Paris",
              "Region": "Ile-de-France",
              "PostalCode": "75001",
              "Country": "FR"
          }
      },
      "Shipping": {
          "FirstName": "Jonatan",
          "LastName": "Renner",
          "Address": {
              "AddressLine1": "16544 Jalon Expressway",
              "AddressLine2": "Pacocha Road",
              "City": "Paris",
              "Region": "Ile-de-France",
              "PostalCode": "75001",
              "Country": "FR"
          }
      },
      "Requested3DSVersion": null,
      "Applied3DSVersion": "V2_1",
      "Tag": "Created using the Mangopay API Postman collection",
      "CardInfo": {
          "BIN": "497010",
          "IssuingBank": "LA BANQUE POSTALE",
          "IssuerCountryCode": "MA",
          "Type": "CREDIT",
          "Brand": "VISA",
          "SubType": null
      },
      "AuthenticationType": null
  }
  ```
</ResponseExample>

<RequestExample>
  ```json REST   theme={null}
  {
     "PaymentStatus": "CANCELED"
  }  
  ```

  ```php PHP theme={null}
  <?php 

  require_once 'vendor/autoload.php';

  use MangoPay\MangoPayApi;
  use MangoPay\Libraries\ResponseException as MGPResponseException;
  use MangoPay\Libraries\Exception as MGPException;

  $api = new MangoPayApi();

  $api->Config->ClientId = 'your-client-id';
  $api->Config->ClientPassword = 'your-api-key';
  $api->Config->TemporaryFolder = 'tmp/';

  try {
    $depositId = 'deposit_m_01JH5W6ZE4FZFYY583XGK1AJAT';

    $cancel = new CancelDeposit();
    $cancel->PaymentStatus = "CANCELED";
    
    $cancelDeposit = $api->Deposits->Cancel($depositId, $cancel);

    print_r($cancelDeposit);
  } catch(MGPResponseException $e) {
    print_r($e);
  } catch(MGPException $e) {
    print_r($e);
  }
  ```

  ```java Java  theme={null}
  import com.google.gson.Gson;
  import com.google.gson.GsonBuilder;
  import com.mangopay.MangoPayApi;
  import com.mangopay.core.enumerations.PaymentStatus;
  import com.mangopay.entities.CardPreAuthorization;

  public class CancelPreauthorization {
      public static void main(String[] args) throws Exception {
          MangoPayApi mangopay = new MangoPayApi();
          mangopay.getConfig().setClientId("your-client-id");
          mangopay.getConfig().setClientPassword("your-api-key");

          CardPreAuthorization preauthorization = mangopay.getCardPreAuthorizationApi().get("preauth_m_01J1Z336RKEZ0MF2YR26JPZCC5");

          preauthorization.setPaymentStatus(PaymentStatus.CANCELED);

          CardPreAuthorization cancelPreauthorization = mangopay.getCardPreAuthorizationApi().update(preauthorization);

          Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
          String prettyJson = prettyPrint.toJson(cancelPreauthorization);

          System.out.println(prettyJson);
      }
  }
  ```

  ```python Python   theme={null}
  from pprint import pprint
  import mangopay

  mangopay.client_id='your-client-id'
  mangopay.apikey='your-api-key'

  from mangopay.api import APIRequest
  handler = APIRequest(sandbox=True)

  from mangopay.resources import Deposit

  deposit_preauthorization = Deposit(
      id = '5ac7a986-cf01-47f0-a882-8b0928ae5458',
      payment_status = 'CANCELED'
  )

  cancel_deposit_preauthorization = deposit_preauthorization.save()

  pprint(cancel_deposit_preauthorization)  
  ```

  ```csharp .NET  theme={null}
  using MangoPay.SDK;
  using MangoPay.SDK.Entities.PUT;
  using Newtonsoft.Json;

  class Program
  {
      static async Task Main(string[] args)
      {
          MangoPayApi api = new MangoPayApi();

          api.Config.ClientId = "your-client-id";
          api.Config.ClientPassword = "your-api-key";

          var depositId = "deposit_m_01J333VFZYAYF6QTZ4Q5ENA9F9";

          var cancelDeposit = await api.Deposits.CancelAsync(depositId);

          string prettyPrint = JsonConvert.SerializeObject(cancelDeposit, Formatting.Indented);
          Console.WriteLine(prettyPrint);
      }
  }
  ```
</RequestExample>
